require "devops-client/options/common_options"

class RoleOptions < CommonOptions
  commands :list, :policies, :create, :delete, :show

  COMMAND_NAME = "role"

  def initialize args, def_options
    super(args, def_options)
    self.header = I18n.t("headers.role")
    self.policies_params = []
    self.create_params = ["ROLE_NAME"]
    self.delete_params = ["ROLE_NAME"]
    self.show_params = ["ROLE_NAME"]
    self.list_params = []
  end

=begin
  def create_options
    self.options do |parser, options|
      parser.banner << self.create_banner

      parser.recognize_option_value(:new_password, resource_name: :user)
    end
  end
=end

end
